# clock - an analog/digital clock in Tcl/Tk

proc digital {} {
  proc update {} {
    .d configure -text [clock format [clock seconds] -format %H:%M:%S]
    after 1000 update
  }

  label .d
  pack .d

  update
}

proc analog {} {

  canvas .a -width 100 -height 100

  # the clock lies all inside a circle with radius 100
  .a create oval 1 1 100 100

  pack .a -padx 5 -pady 5
}

if {[lindex $argv 0] == "-digital"} {
  digital
} else {
  analog
}
